|  | Home | Documentation | _wsrm__SequenceAcknowledgement Struct Reference updated by Robert van Engelen |

Classes | Public Attributes | List of all members
_wsrm__SequenceAcknowledgement Struct Reference

Top-level root element "http://docs.oasis-open.org/ws-rx/wsrm/200702":SequenceAcknowledgement. More...

`#include <wsrm.h>`

Collaboration diagram for _wsrm__SequenceAcknowledgement:
[legend]

## Classes

struct | _wsrm__SequenceAcknowledgement_Final
| SEQUENCE OF ELEMENTS <xs:sequence>. More...
struct | _wsrm__SequenceAcknowledgement_AcknowledgementRange
struct | _wsrm__SequenceAcknowledgement_None

## Public Attributes

char * | Identifier
| Element reference "http://docs.oasis-open.org/ws-rx/wsrm/200702":Identifier.
$int | __sizeNack
ULONG64 * | Nack
| Array ULONG64* of length 1..unbounded.
struct _wsrm__SequenceAcknowledgement::_wsrm__SequenceAcknowledgement_Final * | Final
$int | __sizeAcknowledgementRange
struct _wsrm__SequenceAcknowledgement::_wsrm__SequenceAcknowledgement_AcknowledgementRange * | AcknowledgementRange
struct _wsrm__SequenceAcknowledgement::_wsrm__SequenceAcknowledgement_None * | None
int * | netrm__BufferRemaining
| WCF netrm BufferRemaining.
_XML | __any

## Detailed Description

Top-level root element "http://docs.oasis-open.org/ws-rx/wsrm/200702":SequenceAcknowledgement.

"http://docs.oasis-open.org/ws-rx/wsrm/200702":SequenceAcknowledgement is a complexType.

## Member Data Documentation

## ◆ __any

_XML _wsrm__SequenceAcknowledgement::__any

## ◆ __sizeAcknowledgementRange

$int _wsrm__SequenceAcknowledgement::__sizeAcknowledgementRange

CHOICE OF ELEMENTS <xs:choice> Note: <xs:choice> of element with maxOccurs>1 prevents the use of a union Size of AcknowledgementRange array is 1..unbounded

## ◆ __sizeNack

$int _wsrm__SequenceAcknowledgement::__sizeNack

CHOICE OF ELEMENTS <xs:choice> Note: <xs:choice> with embedded <xs:sequence> or <xs:group> prevents the use of a union Size of array of ULONG64* is 1..unbounded

## ◆ AcknowledgementRange

struct _wsrm__SequenceAcknowledgement::_wsrm__SequenceAcknowledgement_AcknowledgementRange * _wsrm__SequenceAcknowledgement::AcknowledgementRange

## ◆ Final

struct _wsrm__SequenceAcknowledgement::_wsrm__SequenceAcknowledgement_Final * _wsrm__SequenceAcknowledgement::Final

## ◆ Identifier

char* _wsrm__SequenceAcknowledgement::Identifier

Element reference "http://docs.oasis-open.org/ws-rx/wsrm/200702":Identifier.

Required element.

## ◆ Nack

ULONG64* _wsrm__SequenceAcknowledgement::Nack

Array ULONG64* of length 1..unbounded.

## ◆ netrm__BufferRemaining

int* _wsrm__SequenceAcknowledgement::netrm__BufferRemaining

WCF netrm BufferRemaining.

TODO: Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element).

## ◆ None

struct _wsrm__SequenceAcknowledgement::_wsrm__SequenceAcknowledgement_None * _wsrm__SequenceAcknowledgement::None

The documentation for this struct was generated from the following file:

- wsrm.h